Bug 1557866 - Review Request: R-R.methodsS3 - S3 Methods Simplified
Summary: Review Request: R-R.methodsS3 - S3 Methods Simplified
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Robert-André Mauchin 🐧
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-03-19 06:41 UTC by Elliott Sales de Andrade
Modified: 2018-03-30 13:08 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-03-28 23:17:31 UTC
Type: ---
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Elliott Sales de Andrade 2018-03-19 06:41:45 UTC
Spec URL: https://qulogic.fedorapeople.org//R-R.methodsS3.spec
SRPM URL: https://qulogic.fedorapeople.org//R-R.methodsS3-1.7.1-1.fc27.src.rpm

Description:
Methods that simplify the setup of S3 generic functions and S3 methods.
Major effort has been made in making definition of methods as simple as
possible with a minimum of maintenance for package developers.  For
example, generic functions are created automatically, if missing, and
naming conflict are automatically solved, if possible.  The method
setMethodS3() is a good start for those who in the future may want to
migrate to S4.  This is a cross-platform package implemented in pure R
that generates standard S3 methods.

Comment 1 Elliott Sales de Andrade 2018-03-19 06:41:51 UTC
This package built on koji:  https://koji.fedoraproject.org/koji/taskinfo?taskID=25805209

Comment 2 Robert-André Mauchin 🐧 2018-03-19 12:48:08 UTC
 - Latest version packaged
 - License ok
 - Builds in Mock
 - Conforms to the Packaging Guidelines

 - Fix the line endings for:

R-R.methodsS3.noarch: W: wrong-file-end-of-line-encoding /usr/share/R/library/R.methodsS3/CITATION

Package approved.

Comment 3 Gwyn Ciesla 2018-03-19 21:36:16 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/R-R.methodsS3

Comment 4 Fedora Update System 2018-03-20 00:08:24 UTC
R-R.methodsS3-1.7.1-2.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2018-5a24da9c05

Comment 5 Fedora Update System 2018-03-20 00:08:49 UTC
R-R.methodsS3-1.7.1-2.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-b9c9b17e4d

Comment 6 Fedora Update System 2018-03-20 00:09:17 UTC
R-R.methodsS3-1.7.1-2.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-4669317a61

Comment 7 Fedora Update System 2018-03-20 14:53:06 UTC
R-R.methodsS3-1.7.1-2.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-4669317a61

Comment 8 Fedora Update System 2018-03-20 18:58:27 UTC
R-R.methodsS3-1.7.1-2.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-5a24da9c05

Comment 9 Fedora Update System 2018-03-20 19:37:46 UTC
R-R.methodsS3-1.7.1-2.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-b9c9b17e4d

Comment 10 Fedora Update System 2018-03-28 23:17:31 UTC
R-R.methodsS3-1.7.1-2.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2018-03-28 23:48:25 UTC
R-R.methodsS3-1.7.1-2.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2018-03-30 13:08:10 UTC
R-R.methodsS3-1.7.1-2.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.